%define major 1
%define tarball_name libp11

Summary: Small library on top of PKCS#11
Name: %{tarball_name}_%{major}
Version: 0.2.1
Release: %mkrel 1
License: GPL
Group: System/Libraries
Source0: http://www.opensc.org/files/%{tarball_name}-%{version}.tar.gz
Buildrequires: libopenssl-devel
URL: http://www.opensc.org//libp11
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to make
using PKCS#11 implementations easier.

%package devel
Summary: Development files for libp11
Group: Development/C
Requires: %{name} = %{version}
Provides: %{tarball_name}-devel = %{version}

%description devel
This package contains files needed for development with libp11.

%prep
%setup -q -n %{tarball_name}-%{version}

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# fix some permissions
chmod 0644 %{buildroot}%{_libdir}/*.{la,a,so.*.*}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc doc/api doc/*.html doc/README doc/*.css
%doc examples rsaref
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*

%changelog
* Sat Dec 03 2005 Andreas Hasenack <andreas@mandriva.com> 0.2.1-1mdk
- updated to version 0.2.1
- added buildrequires for libopenssl-devel

* Wed Nov 23 2005 Andreas Hasenack <andreas@conectiva.com.br> 0.2.0-1mdk
- packaged for Mandriva

